image: docker:26.1.1

services:
  - docker:26.1.1-dind

#variables:
#  DOCKER_HOST: tcp://docker:2375


build-job:       # This job runs in the build stage, which runs first.
  stage: build
  script:
    - echo "Compiling the code..."
    - mkdir ./out
    - ls -l ./out/
    - docker build -t builder .
    - docker run -v ./out:/out --rm builder
    - ls -l ./out/
    - echo "Compile complete."

deploy-job:      # This job runs in the deploy stage.
  stage: deploy  # It only runs when *both* jobs in the test stage complete successfully.
  script:
    - echo "Deploying application..."
    - echo "Application successfully deployed."
